# --------------This is an example: livepatch-sample--------------------

Name:           livepatch-sample1
Version:        1.0.0
Release:        1%{?dist}
Summary:        livepatch-sample1
Group:          Development/Kernel
License:        GPL
Source0:        %{name}-%{version}.tar.gz

%description
This is an example for livepatch test

%prep
%setup -q
echo "in prep"

%build
echo "in build"
make -C /usr/src/kernels/`uname -r` M=`pwd`

%install
echo "in install"
mkdir -p %{buildroot}%{_bindir}
install -m 0755 livepatch-sample1.ko %{buildroot}%{_bindir}/livepatch-sample1.ko

%pre
echo "in pre"

%post
echo "in post"
insmod %{_bindir}/livepatch-sample1.ko

%postun
echo "in postun"
echo 0 > /sys/kernel/livepatch/livepatch_sample1/enabled 
sleep 2
rmmod livepatch-sample1.ko

%clean
echo "in clean"
#rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/livepatch-sample1.ko

%changelog
* Tue Jun 15 2021 jiangxiujie <jiangxiujie@kylinos.cn>
- First main pakage



# ---------------------Your livepatchs are in below-----------------------

# nothing... 

